Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.chart
Class ChartEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.amp.agf.chart.ChartEditPart

All Implemented Interfaces:
  org.eclipse.birt.chart.device.ICallBackNotifier, org.eclipse.birt.chart.device.IUpdateNotifier, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.RequestConstants

    public class ChartEditPart

extends org.eclipse.gef.editparts.AbstractGraphicalEditPart
implements org.eclipse.birt.chart.device.ICallBackNotifier

The Class ChartEditPart.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart
`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ChartEditPart()` Instantiates a new chart edit part.

Method Summary
`void` | `callback(java.lang.Object arg0, java.lang.Object arg1, org.eclipse.birt.chart.model.attribute.CallBackValue arg2)`
`void` | `createChart()` Creates the chart.
`protected void` | `createEditPolicies()`
`protected org.eclipse.draw2d.IFigure` | `createFigure()`
`void` | `createImage()` Creates the image.
`void` | `deactivate()`
`org.eclipse.birt.chart.model.Chart` | `getChart()` Gets the chart.
`IDataProvider` | `getDataProvider()` Gets the data provider.
`org.eclipse.birt.chart.model.Chart` | `getDesignTimeModel()`
`org.eclipse.birt.chart.model.Chart` | `getRunTimeModel()`
`org.eclipse.jface.viewers.IColorProvider` | `getSeriesColorProvider()` Gets the series color provider.
`java.lang.Object` | `peerInstance()`
`void` | `refresh()`
`void` | `regenerateChart()`
`void` | `regenerateChart(boolean forceNewImage)` Regenerate chart.
`void` | `repaintChart()`
`void` | `setChartStrategy(IChartDesignStrategy chartStrategy)`
`void` | `setDataProvider(IDataProvider dataProvider)` Sets the data provider.
`void` | `setModel(java.lang.Object model)`
`void` | `setSeriesColorProvider(org.eclipse.jface.viewers.IColorProvider seriesColorProvider)` Sets the series color provider.
`void` | `updateChartSelection()` Update chart series.
`void` | `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)` Widget default selected.

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`activate, addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getAdapter, getContentPane, getDragTracker, getFigure, getLayer, getModelSourceConnections, getModelTargetConnections, getSourceConnections, getTargetConnections, isSelectable, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getChildren, getCommand, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModel, getModelChildren, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, performRequest, refreshChildren, refreshVisuals, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Constructor Detail

### ChartEditPart

    public ChartEditPart()

  Instantiates a new chart edit part.

Method Detail

### setSeriesColorProvider

    public void setSeriesColorProvider(org.eclipse.jface.viewers.IColorProvider seriesColorProvider)

  Sets the series color provider.

  Parameters:
    `seriesColorProvider` - the new series color provider

### createFigure

    protected org.eclipse.draw2d.IFigure createFigure()

  Specified by:
    `createFigure` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`
  See Also:
    `AbstractGraphicalEditPart.createFigure()`

### createEditPolicies

    protected void createEditPolicies()

  Specified by:
    `createEditPolicies` in class `org.eclipse.gef.editparts.AbstractEditPart`
  See Also:
    `AbstractEditPart.createEditPolicies()`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `refresh` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`
  See Also:
    `AbstractGraphicalEditPart.refresh()`

### setModel

    public void setModel(java.lang.Object model)

  Specified by:
    `setModel` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `setModel` in class `org.eclipse.gef.editparts.AbstractEditPart`
  See Also:
    `AbstractEditPart.setModel(java.lang.Object)`

### regenerateChart

    public void regenerateChart()

  Specified by:
    `regenerateChart` in interface `org.eclipse.birt.chart.device.IUpdateNotifier`
  See Also:
    `IUpdateNotifier.regenerateChart()`

### regenerateChart

    public void regenerateChart(boolean forceNewImage)

  Regenerate chart.

  Parameters:
    `forceNewImage` - the force new image

### createImage

    public void createImage()

  Creates the image.

### createChart

    public void createChart()

  Creates the chart.

### updateChartSelection

    public void updateChartSelection()

  Update chart series.

### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

  Widget default selected.

  Parameters:
    `e` - the e

### getDesignTimeModel

    public org.eclipse.birt.chart.model.Chart getDesignTimeModel()

  Specified by:
    `getDesignTimeModel` in interface `org.eclipse.birt.chart.device.IUpdateNotifier`
  See Also:
    `IUpdateNotifier.getDesignTimeModel()`

### getRunTimeModel

    public org.eclipse.birt.chart.model.Chart getRunTimeModel()

  Specified by:
    `getRunTimeModel` in interface `org.eclipse.birt.chart.device.IUpdateNotifier`
  See Also:
    `IUpdateNotifier.getRunTimeModel()`

### peerInstance

    public java.lang.Object peerInstance()

  Specified by:
    `peerInstance` in interface `org.eclipse.birt.chart.device.IUpdateNotifier`
  See Also:
    `IUpdateNotifier.peerInstance()`

### callback

    public void callback(java.lang.Object arg0,
                         java.lang.Object arg1,
                         org.eclipse.birt.chart.model.attribute.CallBackValue arg2)

  Specified by:
    `callback` in interface `org.eclipse.birt.chart.device.ICallBackNotifier`
  See Also:
    `ICallBackNotifier.callback(java.lang.Object, java.lang.Object, org.eclipse.birt.chart.model.attribute.CallBackValue)`

### getChart

    public org.eclipse.birt.chart.model.Chart getChart()

  Gets the chart.

  Returns:
    the chart

### repaintChart

    public void repaintChart()

  Specified by:
    `repaintChart` in interface `org.eclipse.birt.chart.device.IUpdateNotifier`
  See Also:
    `IUpdateNotifier.repaintChart()`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `deactivate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`
  See Also:
    `AbstractGraphicalEditPart.deactivate()`

### getDataProvider

    public IDataProvider getDataProvider()

  Gets the data provider.

  Returns:
    the data provider

### setDataProvider

    public void setDataProvider(IDataProvider dataProvider)

  Sets the data provider.

  Parameters:
    `dataProvider` - the new data provider

### setChartStrategy

    public void setChartStrategy(IChartDesignStrategy chartStrategy)

  Parameters:
    `chartType` - the chartType to set

### getSeriesColorProvider

    public org.eclipse.jface.viewers.IColorProvider getSeriesColorProvider()

  Gets the series color provider.

  Returns:
    the series color provider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD